=== debian/control ===
Source: jenkins-winstone
Section: java
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Hudson Ubuntu Packagers <hudson-ubuntu@lists.launchpad.net>
Build-Depends:
 cdbs,
 debhelper (>= 7),
 default-jdk,
 javahelper,
 maven-debian-helper (>= 1.4)
Build-Depends-Indep:
 ant,
 default-jdk-doc,
 junit (>= 3.8.1),
 libhttpunit-java,
 libmaven-antrun-plugin-java,
 libmaven-javadoc-plugin-java,
Standards-Version: 3.9.2
Homepage: http://github.com/jenkinsci/winstone

Package: libjenkins-winstone-java
Architecture: all
Depends: ${maven:Depends}, ${misc:Depends}
Recommends: ${maven:OptionalDepends}
Suggests: libjenkins-winstone-java-doc
Description: Jenkins branch of Winstone servlet container
 Winstone is a servlet container that was written out of a desire to provide
 servlet functionality without the bloat that full J2EE compliance introduces.
 .
 This package contains the Jenkins branch of this project

Package: libjenkins-winstone-java-doc
Architecture: all
Section: doc
Depends: ${maven:DocDepends}, ${misc:Depends}
Recommends: ${maven:DocOptionalDepends}
Suggests: libjenkins-winstone-java
Description: Documentation for libjenkins-winstone-java
 Winstone is a servlet container that was written out of a desire to provide
 servlet functionality without the bloat that full J2EE compliance introduces.
 .
 This package contains the API documentation of libjenkins-winstone-java.
