## jenkins-winstone 0.9.10-jenkins-29+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-29+dfsg-1) unstable; urgency=low

  * New upstream release.

 -- James Page <james.page@ubuntu.com>  Wed, 09 Nov 2011 16:26:41 +0000

jenkins-winstone (0.9.10-jenkins-28+dfsg-1) unstable; urgency=low

  * Initial Debian release (Closes: #634652)
  * New upstream release

 -- James Page <james.page@ubuntu.com>  Mon, 19 Sep 2011 10:54:16 +0100
