=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: jenkins-winstone
 Section: java
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Hudson Ubuntu Packagers <hudson-ubuntu@lists.launchpad.net>
+Maintainer: Debian Java Maintainers <pkg-java-maintainers@lists.alioth.debian.org>
+Uploaders: James Page <james.page@ubuntu.com>
 Build-Depends:
  cdbs,
  debhelper (>= 7),
@@ -15,9 +15,11 @@
  junit (>= 3.8.1),
  libhttpunit-java,
  libmaven-antrun-plugin-java,
- libmaven-javadoc-plugin-java,
+ libmaven-javadoc-plugin-java
 Standards-Version: 3.9.2
 Homepage: http://github.com/jenkinsci/winstone
+Vcs-Git: git://git.debian.org/git/pkg-java/jenkins-winstone.git
+Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins-winstone.git
 
 Package: libjenkins-winstone-java
 Architecture: all
