## jenkins-winstone 0.9.10-jenkins-31+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-31+dfsg-1) unstable; urgency=low

  [ James Page ]
  * New upstream release:
    - http://www.cloudbees.com/jenkins-advisory/jenkins-security-advisory-2012-01-10.cb
      Fix Hash DoS vulnerability with HTTP parameters by restricting the 
      number of parameters in any HTTP request.
      (Closes: #655553, LP: #914628)

  [ Damien Raude-Morvan ]
  * Add DM-Upload-Allowed flag for James Page.

 -- James Page <james.page@ubuntu.com>  Thu, 12 Jan 2012 10:25:41 +0100
