=== debian/control ===
--- 
+++ 
@@ -20,6 +20,7 @@
 Homepage: http://github.com/jenkinsci/winstone
 Vcs-Git: git://git.debian.org/git/pkg-java/jenkins-winstone.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins-winstone.git
+DM-Upload-Allowed: yes
 
 Package: libjenkins-winstone-java
 Architecture: all
