=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/maven.mk

JAVA_HOME := /usr/lib/jvm/default-java
DEB_MAVEN_INSTALL_TO_USJ := false
PACKAGE   := jenkins-winstone
JAR       := winstone
# Parse upstream version without +dfsg for source download+
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')

# Run mh_installjar to ensure USJ name matches package
# and does not conflict with any pure winstone packaged
# sometime in the future
install/lib$(PACKAGE)-java::
	mh_installjar -plib$(PACKAGE)-java --usj-name=$(PACKAGE) -l pom.xml \
		target/$(JAR)-$(DEB_UPSTREAM_VERSION).jar
	jh_classpath -plib$(PACKAGE)-java

# Parse upstream version without +dfsg for source download
DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')

get-orig-source:
	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
	mv ../$(PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz \
		../$(PACKAGE)_$(DEB_UPSTREAM_VERSION)+dfsg.orig.tar.gz
