## jenkins-winstone 0.9.10-jenkins-37+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-37+dfsg-2) unstable; urgency=high

  * Fix HTTP splitting vulnerability (Closes: #696974):
    - d/p/CVE-2012-6072.patch: Cherry picked fix from upstream VCS
      which prevents HTTP headers being split into multiple lines.
    - Fixes: CVE-2012-6072

 -- James Page <james.page@ubuntu.com>  Thu, 10 Jan 2013 11:03:23 +0000

jenkins-winstone (0.9.10-jenkins-37+dfsg-1) unstable; urgency=low

  * New upstream release:
    - d/patches/java-1.6.patch: Dropped - upstream is now Java 6 compatible.
    - d/control: Add new dependency on libmaven-enforcer-plugin-java.
  * Fix FTBFS with openjdk-7 (LP: #888947):
    - d/patches/java7-compat.patch: Add stub methods and allow compilation
      with Java 6+.

 -- James Page <james.page@ubuntu.com>  Thu, 21 Jun 2012 20:25:39 +0100

jenkins-winstone (0.9.10-jenkins-35+dfsg-1) unstable; urgency=low

  * New upstream release.
  * Bumped Standards-Version to 3.9.3:
    - d/copyright: Switched Format to reference release version of DEP-5.
  * Added missing patch headers.

 -- James Page <james.page@ubuntu.com>  Thu, 26 Apr 2012 11:44:36 +0100
