=== debian/control ===
--- 
+++ 
@@ -15,8 +15,9 @@
  junit (>= 3.8.1),
  libhttpunit-java,
  libmaven-antrun-plugin-java,
- libmaven-javadoc-plugin-java
-Standards-Version: 3.9.2
+ libmaven-javadoc-plugin-java,
+ libmaven-enforcer-plugin-java
+Standards-Version: 3.9.3
 Homepage: http://github.com/jenkinsci/winstone
 Vcs-Git: git://git.debian.org/git/pkg-java/jenkins-winstone.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins-winstone.git
