## jenkins-winstone 0.9.10-jenkins-41+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-41+dfsg-1~exp1) experimental; urgency=low

  * New upstream release:
    - d/p/java7-compat.patch: Dropped - no longer required.
    - d/control,rules: Ensure package is built with Java 7.
  * Tidied lintian warnings.

 -- James Page <james.page@ubuntu.com>  Wed, 09 Jan 2013 17:07:22 +0000
