=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Build-Depends:
  cdbs,
  debhelper (>= 7),
- default-jdk,
+ openjdk-7-jdk,
  javahelper,
  maven-debian-helper (>= 1.4)
 Build-Depends-Indep:
@@ -17,11 +17,10 @@
  libmaven-antrun-plugin-java,
  libmaven-javadoc-plugin-java,
  libmaven-enforcer-plugin-java
-Standards-Version: 3.9.3
+Standards-Version: 3.9.4
 Homepage: http://github.com/jenkinsci/winstone
 Vcs-Git: git://git.debian.org/git/pkg-java/jenkins-winstone.git
 Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins-winstone.git
-DM-Upload-Allowed: yes
 
 Package: libjenkins-winstone-java
 Architecture: all
