=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg//,uversionmangle=s/winstone-// \
 https://github.com/jenkinsci/winstone/tags .*/(.*).tar.gz debian debian/orig-tar.sh
