## jenkins-winstone 0.9.10-jenkins-42+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-42+dfsg-1~exp1) experimental; urgency=low

  * New upstream release:
    - d/control,maven.rules: Bump junit -> junit4.

 -- James Page <james.page@ubuntu.com>  Sun, 17 Feb 2013 17:40:14 +0000
