=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
 Build-Depends-Indep:
  ant,
  default-jdk-doc,
- junit (>= 3.8.1),
+ junit4,
  libhttpunit-java,
  libmaven-antrun-plugin-java,
  libmaven-javadoc-plugin-java,
