## jenkins-winstone 0.9.10-jenkins-47+dfsg

=== debian/changelog ===
jenkins-winstone (0.9.10-jenkins-47+dfsg-1) unstable; urgency=low

  * New upstream release. 
  * d/control: Update my email address.

 -- James Page <jamespage@debian.org>  Mon, 12 Aug 2013 16:14:33 +0100

jenkins-winstone (0.9.10-jenkins-42+dfsg-1) unstable; urgency=low

  * Upload to unstable. 

 -- James Page <james.page@ubuntu.com>  Thu, 16 May 2013 11:02:22 +0100
