=== debian/rules ===
--- 
+++ 
@@ -3,7 +3,8 @@
 include /usr/share/cdbs/1/rules/debhelper.mk
 include /usr/share/cdbs/1/class/maven.mk
 
-JAVA_HOME := /usr/lib/jvm/default-java
+DEB_BUILD_ARCH := $(shell dpkg-architecture -qDEB_BUILD_ARCH)
+JAVA_HOME := /usr/lib/jvm/java-7-openjdk-$(DEB_BUILD_ARCH)
 DEB_MAVEN_INSTALL_TO_USJ := false
 PACKAGE   := jenkins-winstone
 JAR       := winstone
@@ -18,9 +19,6 @@
 		target/$(JAR)-$(DEB_UPSTREAM_VERSION).jar
 	jh_classpath -plib$(PACKAGE)-java
 
-# Parse upstream version without +dfsg for source download
-DEB_UPSTREAM_VERSION=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^+]+).*,\1,p')
-
 get-orig-source:
 	uscan --download-version $(DEB_UPSTREAM_VERSION) --force-download --rename
 	mv ../$(PACKAGE)_$(DEB_UPSTREAM_VERSION).orig.tar.gz \
