## jenkins-winstone 2.8

=== debian/changelog ===
jenkins-winstone (2.8-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Refreshed java8-compatibility.patch
  * Standards-Version updated to 3.9.6 (no changes)

 -- Emmanuel Bourg <ebourg@apache.org>  Tue, 21 Oct 2014 19:03:34 +0200

jenkins-winstone (2.3-2) unstable; urgency=medium

  * Team upload.
  * Rebuilt with jetty8/ 8.1.16-1 to fix the wrong version of the Servlet API
    embedded in the winstone jar

 -- Emmanuel Bourg <ebourg@apache.org>  Mon, 15 Sep 2014 13:24:57 +0200

jenkins-winstone (2.3-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
    - Added build dependencies on libjetty8-java, libjetty8-extra-java
      and libmaven-shade-plugin-java
    - Removed specification-resources.patch since the JEE spec files now come
      with Jetty. Removed the related notes in README.source and d/copyright.
    - Refreshed java8-compatibility.patch
    - Disabled the SPDY connector
    - Disabled the tests (requires org.kohsuke:ajp-client)
  * Use XZ compression for the upstream tarball

 -- Emmanuel Bourg <ebourg@apache.org>  Fri, 05 Sep 2014 17:03:19 +0200

jenkins-winstone (0.9.10-jenkins-47+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Do not create a self signed certificate every time the HTTPS connector
    is started without a proper certificate. This fixes the compatibility
    with Java 8 since the sun.security.x509.CertAndKeyGen class has been
    moved to the sun.security.tools.keytool package.
  * debian/control:
    - Build depend on default-jdk instead of openjdk-7-jdk
    - Use canonical URLs for the Vcs-* fields
    - Standards-Version updated to 3.9.5 (no changes)
  * Switch to debhelper level 9

 -- Emmanuel Bourg <ebourg@apache.org>  Wed, 16 Apr 2014 14:02:19 +0200
