=== debian/control ===
--- 
+++ 
@@ -5,28 +5,32 @@
 Uploaders: James Page <jamespage@debian.org>
 Build-Depends:
  cdbs,
- debhelper (>= 7),
- openjdk-7-jdk,
+ debhelper (>= 9),
+ default-jdk,
  javahelper,
  maven-debian-helper (>= 1.4)
 Build-Depends-Indep:
  ant,
  default-jdk-doc,
  junit4,
+ libjetty8-java (>= 8.1.16~),
+ libjetty8-extra-java (>= 8.1.16~),
  libhttpunit-java,
  libmaven-antrun-plugin-java,
  libmaven-javadoc-plugin-java,
- libmaven-enforcer-plugin-java
-Standards-Version: 3.9.4
+ libmaven-enforcer-plugin-java,
+ libmaven-shade-plugin-java
+Standards-Version: 3.9.6
+Vcs-Git: git://anonscm.debian.org/pkg-java/jenkins-winstone.git
+Vcs-Browser: http://anonscm.debian.org/cgit/pkg-java/jenkins-winstone.git
 Homepage: http://github.com/jenkinsci/winstone
-Vcs-Git: git://git.debian.org/git/pkg-java/jenkins-winstone.git
-Vcs-Browser: http://git.debian.org/?p=pkg-java/jenkins-winstone.git
 
 Package: libjenkins-winstone-java
 Architecture: all
-Depends: ${maven:Depends}, ${misc:Depends}
+Depends: ${misc:Depends}
 Recommends: ${maven:OptionalDepends}
 Suggests: libjenkins-winstone-java-doc
+Built-Using: jetty8 (= ${jetty8:Version})
 Description: Jenkins branch of Winstone servlet container
  Winstone is a servlet container that was written out of a desire to provide
  servlet functionality without the bloat that full J2EE compliance introduces.
