## jenkins-winstone 2.9

=== debian/changelog ===
jenkins-winstone (2.9-1) unstable; urgency=medium

  * Team upload.
  * New upstream release
  * Removed the unused dependency on maven-antrun-plugin to fix a build
    failure with Maven 3 (Closes: #807660)

 -- Emmanuel Bourg <ebourg@apache.org>  Sat, 12 Dec 2015 12:25:35 +0100
