=== debian/control ===
--- 
+++ 
@@ -16,7 +16,6 @@
  libjetty8-java (>= 8.1.16~),
  libjetty8-extra-java (>= 8.1.16~),
  libhttpunit-java,
- libmaven-antrun-plugin-java,
  libmaven-javadoc-plugin-java,
  libmaven-enforcer-plugin-java,
  libmaven-shade-plugin-java
